# List Activity Logs

List activity logs of an account.

## Request

```curl
curl https://api.stripe.com/v2/iam/activity_logs \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-05-27.preview" \
  -H "Stripe-Context: {{CONTEXT}}"
```

### Response

```json
{
  "data": [
    {
      "id": "accact_1SdeybAiQNL8swvtMHyVtfCU",
      "object": "v2.iam.activity_log",
      "created": "2025-01-02T00:00:00.000Z",
      "type": "api_key_created",
      "livemode": true,
      "context": "acct_1SdeybAiQNL8swvt",
      "actor": {
        "type": "user",
        "user": {
          "email": "user@example.com"
        }
      },
      "details": {
        "type": "api_key",
        "api_key": {
          "id": "mk_1SdeybAiQNL8swvtMHyVtfCU",
          "created": "2025-01-02T00:00:00.000Z",
          "type": "secret_key",
          "name": "My API Key",
          "note": "",
          "expires_at": null,
          "ip_allowlist": [],
          "new_key": null,
          "managed_by": null
        }
      }
    },
    {
      "id": "accact_1Sdet2AiQNL8swvt4Ui4NzaX",
      "object": "v2.iam.activity_log",
      "created": "2025-01-01T00:00:00.000Z",
      "type": "user_invite_created",
      "livemode": true,
      "context": "acct_1SdeybAiQNL8swvt",
      "actor": {
        "type": "user",
        "user": {
          "email": "admin@example.com"
        }
      },
      "details": {
        "type": "user_invite",
        "user_invite": {
          "invited_user_email": "newuser@example.com",
          "roles": [
            "developer"
          ]
        }
      }
    }
  ],
  "next_page_url": "/v2/iam/activity_logs?page=page_0NQAjX2r1Ck82gY4Pd601CN96ge7SJEEICEzTGRS5KR3xV0lf9ds4Xb2Wa1NK6J3IA7Gnu8of5JWHYFEJ1BB1qO8bk8hU88E3bs7u",
  "previous_page_url": null
}
```

## Parameters

- `action_groups` (array of enums, optional)
  Filter results to only include activity logs for the specified action group types.
Possible enum values:
  - `api_key`
    An API key related action group.

  - `user_invite`
    A user invite related action group.

  - `user_roles`
    User roles related action group.

- `actions` (array of enums, optional)
  Filter results to only include activity logs for the specified action types.
Possible enum values:
  - `api_key_created`
    An API key was created.

  - `api_key_deleted`
    An API key was deleted.

  - `api_key_updated`
    An API key was updated.

  - `api_key_viewed`
    An API key’s secret was viewed.

  - `user_invite_accepted`
    A user invite was accepted.

  - `user_invite_created`
    A user invite was created.

  - `user_invite_deleted`
    A user invite was deleted.

  - `user_roles_deleted`
    A user’s roles were deleted.

  - `user_roles_updated`
    A user’s roles were updated.

- `limit` (integer, optional)
  Maximum number of results to return per page.

- `page` (string, optional)
  Pagination token from a previous request. Used to retrieve the next page of results.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/iam/activity-logs/list.md?query=data&api-version=2026-05-27.preview) (array of objects)
  List of activity logs.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | invalid_filters | Error returned when filter parameters in the request are invalid. |
